windows10EnterpriseModernAppManagementConfiguration の更新
名前空間: microsoft.graph
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
windows10EnterpriseModernAppManagementConfiguration オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/deviceConfigurations/{deviceConfigurationId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で、windows10EnterpriseModernAppManagementConfiguration オブジェクトの JSON 表記を指定します。
次の表に、windows10EnterpriseModernAppManagementConfiguration の作成時に必要なプロパティを示します。
| プロパティ | 型 | 説明 |
|---|---|---|
| id | String | エンティティのキー。 deviceConfiguration から継承します |
| lastModifiedDateTime | DateTimeOffset | オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します |
| createdDateTime | DateTimeOffset | オブジェクトが作成された DateTime。 deviceConfiguration から継承します |
| 説明 | String | 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します |
| displayName | 文字列 | 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します |
| version | Int32 | デバイス構成のバージョン。 deviceConfiguration から継承します |
| uninstallBuiltInApps | Boolean | 組み込みの Windows アプリの固定リストをアンインストールするかどうかを指定します。 |
応答
成功した場合、このメソッドは 200 OK 応答コードと、応答本文で更新された windows10EnterpriseModernAppManagementConfiguration オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/v1.0/deviceManagement/deviceConfigurations/{deviceConfigurationId}
Content-type: application/json
Content-length: 222
{
"@odata.type": "#microsoft.graph.windows10EnterpriseModernAppManagementConfiguration",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"uninstallBuiltInApps": true
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 394
{
"@odata.type": "#microsoft.graph.windows10EnterpriseModernAppManagementConfiguration",
"id": "d6577687-7687-d657-8776-57d6877657d6",
"lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
"createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
"description": "Description value",
"displayName": "Display Name value",
"version": 7,
"uninstallBuiltInApps": true
}
フィードバック
フィードバックの送信と表示